package ballistics.types

import org.junit.jupiter.api.Assertions.assertEquals
import org.junit.jupiter.api.Test

internal class ModDVTypeTest {
    /*!
        Проветка приведения типов от Int к enum
     */
    @Test
    fun testMDFoto() {
        val md1 = ModDVType.fromInt(1)
        val md2 = ModDVType.fromInt(16)
        val md3 = ModDVType.fromInt(100)

        assertEquals(ModDVType.FOTO, md1)
        assertEquals(ModDVType.BARS, md2)
        assertEquals(ModDVType.FOTO, md3)
    }
}
